
#include "d3dx9.h"

class CBonus {

public:

	CBonus();
	~CBonus();

	bool Init(LPDIRECT3DDEVICE9 pd3dDevice);
	bool OnEvent(LPDIRECT3DDEVICE9 pd3dDevice, HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam, int* code);
	void OnFrameMove(LPDIRECT3DDEVICE9 pd3dDevice, double fTime, float fElapsedTime);
	void OnRender(LPDIRECT3DDEVICE9 pd3dDevice);

};